Loading...
Searching...
No Matches
GaussianSetConcurrent Class Reference

The GaussianSetConcurrent class uses GaussianSetTools to calculate values of electronic structure properties from quantum output read in. More...

`#include <gaussiansetconcurrent.h>`

Inheritance diagram for GaussianSetConcurrent:

## Signals

void | finished ()

## Public Member Functions

| GaussianSetConcurrent (QObject *p=nullptr)
void | setMolecule (Core::Molecule *mol)
bool | calculateMolecularOrbital (Core::Cube *cube, unsigned int state, bool beta=false)
bool | calculateElectronDensity (Core::Cube *cube)
bool | calculateSpinDensity (Core::Cube *cube)
QFutureWatcher< void > & | watcher ()

## Detailed Description

Author
  Marcus D. Hanwell

## Member Function Documentation

## finished

void finished | ( |  | ) |

signal

Emitted when the calculation is complete.

The documentation for this class was generated from the following file:

- gaussiansetconcurrent.h